- entityDefinitions:
  - IDI_Task_Product_View:    '{6a167943-0b89-4d10-bff5-528b7d88c868}'
  - IDI_Task_Product_Edit:    '{ad90fb84-423a-4b25-a929-63cd8ce518a5}'
  - IDE_Product_View:        '{dd41b6d1-7fff-44eb-8ec6-a81c3e2afb3d}'
  - IDE_Product_Edit:        '{a88719e1-3ecb-4a92-975c-3db0a8f0b99a}'
  - IDE_Product_Definition:  '{8b4b1de1-d2ab-48c1-89bd-94440428210c}'
  - IDI_TaskCategory_Product: '{02d25e4a-a85f-465d-a008-f5900c1b6a85}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_Product;'
    name: 'Product'

  - sequenceTask: '&IDI_Task_Product_View;'
    name: 'View Product'
    initiatingElement: '&IDE_Product_View;'
    taskCategory: '&IDI_TaskCategory_Product;'

  - sequenceTask: '&IDI_Task_Product_Edit;'
    name: 'Edit Product'
    initiatingElement: '&IDE_Product_Edit;'
    taskCategory: '&IDI_TaskCategory_Product;'

  - element: '&IDE_Product_View;'
    name: 'View Product'
    elementContents:
    - globalIdentifier: '{d850889c-5b11-4225-a0ba-cc00d5fa251e}'
      defaultDataType: '&IDC_Product;'
      label: 'Product'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{899118b6-6e72-4d18-86ab-01fe21d5fddf}'
      defaultDataType: '&IDE_Product_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Product_Edit;'
    name: 'Edit Product'
    elementContents:
    - globalIdentifier: '{765a27e1-cbcf-4506-a682-8b19a9fcd6a1}'
      defaultDataType: '&IDC_Product;'
      label: 'Product'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{b70db171-0a9f-4456-b07b-2e88c32fd87b}'
      defaultDataType: '&IDE_Product_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_Product_Definition;'
    name: 'Product subedits'
    elementContents:
    - globalIdentifier: '{983e034c-6bda-451a-9f9e-167ce701f38e}'
      defaultDataType: '&IDA_Name;'
    - globalIdentifier: '{9949425b-d7b8-4e3b-9481-9ef6b3caf159}'
      defaultDataType: '&IDR_Product__has__Product_Type;'
      label: 'Product Type'
    - globalIdentifier: '{867b862b-bfba-4b18-948f-afa1a1a0500c}'
      defaultDataType: '&IDA_ProductCode;'
    - globalIdentifier: '{c14ce45e-8398-4c03-bef0-6a74673e4763}'
      defaultDataType: '&IDR_Product__has__Manufacturer;'
      label: 'Manufacturer'
    - globalIdentifier: '{68c21d6e-0d95-491a-b584-5c18cc718a4b}'
      defaultDataType: '&IDR_Product__has__Product_Color;'
      label: 'Color'
    - globalIdentifier: '{b72853da-839a-4a1a-a513-b0a80c436746}'
      defaultDataType: '&IDR_Product__has__Product_Style;'
      label: 'Style'